Home | All Classes | Grouped Classes | Index | Search

# CL_DomCharacterData::replace_data

Replace the characters starting at the specified character offset with the specified string.

    	void replace_data(
    		unsigned long offset, unsigned long count, const std::string& arg);

Parameters:

offset
  The offset from which to start replacing.
count
  The number of characters to replace. If the sum of offset and count exceeds length, then all characters to the end of the data are replaced (i.e., the effect is the same as a remove method call with the same range, followed by an append method invocation).
arg
  The DOMString with which the range must be replaced.

See also:

CL_DomCharacterData

Questions or comments, write to the ClanLib mailing list.